Download it now!
Bug 86772 - Some filetypes in Save/Save As dialog appear unlocalized
Summary: Some filetypes in Save/Save As dialog appear unlocalized
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
4.3.3.1 rc
Hardware: Other All
: medium normal
Assignee: David Tardon
URL:
Whiteboard: target:4.5.0 target:4.3.6 target:4.4.1
Keywords:
Depends on:
Blocks:
 
Reported: 2014-11-27 09:28 UTC by Martin Srebotnjak
Modified: 2015-01-15 13:12 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Srebotnjak 2014-11-27 09:28:02 UTC
When selecting to save a document in Writer, there are some filetypes in the Type drop-down that are in English (even if the UI is 100 % localized:
- Flat XML ODF Text Document (.fodt)
- Unified Office Format text (.uot)
- Rich Text (.rtf)
In Calc these are:
- Flat XML ODF Spreadsheet (.fods)
- Unified Office Format spreadsheet (.uos)
- Data Interchange Format (.dif)
(maybe also others from this list, as they might need to be localized even though they are product names or such, like: SYLK etc.)
In Impress these are:
- Flat XML ODP Presentation (.fodp)
- Unified Office Format presentation (.uop)
- Office Open XML Presentation AutoPlay (.ppsx)
I did not check other modules.

The text part of string (i.e. "Office Open XML Presentation AutoPlay" as zRPFk and 9rJi8 or "Rich Text" as CSy82) are localized in po files (they seem to appear both in /filter/source/config/fragments/filters.po and /filter/source/config/fragments/types.po, so it seems that these strings do not get used in the interface.

I noticed this already in the 4.3.x builds, but forgot to enter a bug.
Comment 1 jhertel 2014-11-27 18:57:41 UTC
I can confirm this bug is present in LibreOfficeDev 4.4 beta 1 with Danish localization. 

In Danish, some of the strings mentioned are translated in Pootle (like "Unified Office Format text"), and some are not (like "Rich Text").

Those strings that *are* translated in Pootle, like "Unified Office Format text" (filter/source/config/fragments/filters.po string 28719989), are in fact in their English version in the file type box and not in its Danish translation. Other file types are in their translated versions as they should be.

So, to the extent that it is possible for me to confirm using the Danish translation, I can fully confirm this bug is present in 4.4 beta 1. 

In other words, there is nothing in the Danish translation case that contradicts this bug report for LibreOfficeDev 4.4 beta 1.
Comment 2 jhertel 2014-11-27 18:59:31 UTC
(In reply to jhertel+bugs.freedesktop.org from comment #1)
> I can confirm this bug is present in LibreOfficeDev 4.4 beta 1 with Danish
> localization. 

I should have added: I tested it on a Danish Windows 7 SP1 64-bit machine.
Comment 3 Alex Thurgood 2014-11-29 09:52:54 UTC
Confirming also on
Version: 4.3.3.1
Build ID: 7d55112667c8fcddb67bc3803796b46c93aa56b0

osx 10.10.1
Comment 4 Alex Thurgood 2014-11-29 09:53:57 UTC
set version to earliest where defect found
Comment 5 Commit Notification 2015-01-14 16:44:38 UTC
David Tardon committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=a0a0317722c7cba51ab662ac662a5756e69f422a

fdo#86772 show localized filter names in Save dialog

It will be available in 4.5.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2015-01-14 19:28:36 UTC
David Tardon committed a patch related to this issue.
It has been pushed to "libreoffice-4-3":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=abac246005ac86933d233d651d3528b6b3979263&h=libreoffice-4-3

fdo#86772 show localized filter names in Save dialog

It will be available in 4.3.6.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2015-01-15 13:12:38 UTC
David Tardon committed a patch related to this issue.
It has been pushed to "libreoffice-4-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=8f8ee6a3859a0d6414b8ce9e5368fcdb77d9a7c7&h=libreoffice-4-4

fdo#86772 show localized filter names in Save dialog

It will be available in 4.4.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.